{% extends 'interface/home.twig' %}
{% block content %}
	<ol class="breadcrumb">
	  <li class="breadcrumb-item"><a href="{{ path_for('homepage') }}">Home</a></li>
	  <li class="breadcrumb-item active">Usuários</li>
	</ol>
	{% include 'error/error.twig' %}
    {% include 'flash/flash.twig' %}
    <div style="width: 100%">
		<span style="font-size: 1.7em;">Usuários</span>
	</div>
	<div class="box-body" style="margin-top: 4%">
			<table id="table_user" class="table table-bordered table-hover">
				<thead>
					<tr>
						<th>Nome</th>
						<th>Login</th>
						<th>E-mail</th>
						<th>Papel</th>
						<th style="text-align: center">Ações</th>
					</tr>
				</thead>
				<tbody>
					{% for user in users %}
					<tr>
						<td>{{ user.nome }}</td>
						<td>{{ user.login }}</td>
						<td>{{ user.email }}</td>
						<td>{{ user.papelid.tipo }}</td>
						<td style="text-align: center" >
							<a href="{{ path_for('user.edit', {id:user.id} ) }}"><i class="fa fa-pencil-square-o" style="font-size: 1.3em; color: green" title="Editar"></i></a>
							&nbsp&nbsp
							<a href="#" data-toggle="modal" data-target="#exuser{{ user.id }}"><i class="fa fa-minus-square-o" style="font-size: 1.3em; color: red" title="Excluir"></i></a>
						</td>
					</tr>

						<!-- Modal -->
						<div class="modal fade" id="exuser{{ user.id }}" tabindex="-1" role="dialog" aria-labelledby="exuserLabel{{ user.id }}" aria-hidden="true">
						  <div class="modal-dialog" role="document">
						    <div class="modal-content">
						      <div class="modal-header">
						        <h5 class="modal-title" id="exuserLabel{{ user.id }}">Atenção</h5>
						        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						          <span aria-hidden="true">&times;</span>
						        </button>
						      </div>
						      <div class="modal-body">
						        Tem certeza que deseja excluir o Usuário?
						      </div>
						      <div class="modal-footer">
						        <button type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
						        <a href="{{ path_for('user.delete', {id:user.id} ) }}" class="btn btn-danger">Sim</a>
						      </div>
						    </div>
						  </div>
						</div>
					{% endfor %}

				</tbody>
				<tfoot>
					<tr>
						<th>Nome</th>
						<th>Login</th>
						<th>E-mail</th>
						<th>Papel</th>
						<th style="text-align: center">Ações</th>
					</tr>
				</tfoot>
			</table>
		</div>
		<!-- /.box-body -->
	</div>
	<!-- /.box -->
{% endblock %}